# Get file data This endpoint allows searching, through a valid token, for image files attached to the message associated with the complaint. **GET** `/post-purchase/v1/claims/{claim_id}/attachments/{fileName}` ## Request parameters ### Path - `claim_id` (number, required) Claim ID. Unique identifier used to reference a specific claim in the system, essential for tracking and managing these claims. - `attach_id` (string, required) Identifier of the attached file. ## Response parameters - `filename` (string, optional) Current name (hashed - used for retrieving the attachment) of the image file attached to the message associated with the claim. - `original_filename` (string, optional) Original name of the image file attached to the message associated with the claim. - `size` (number, optional) Size (in bytes) of the image file attached to the message associated with the claim. - `date_created` (string, optional) Date when the image file was attached to the message associated with the complaint. - `type` (string, optional) Type of image file attached to the message associated with the claim. ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/post-purchase/v1/claims/{claim_id}/attachments/{fileName}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "filename": "767b79a6-88c8-4fa4-8d95-2cb78fcd897f.jpeg", "original_filename": "WWhatsApp-Image-2020-09-22.jpeg", "size": 1880609, "date_created": "2020-07-22T20:43:15.000-04:00", "type": "image/jpeg" } ```